Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Class AblePropertyConnectionManager

    java.lang.Object
      com.ibm.able.AblePropertyConnectionManager

All Implemented Interfaces:
  java.util.EventListener, java.beans.PropertyChangeListener, java.io.Serializable

public class AblePropertyConnectionManager
extends java.lang.Object
implements java.beans.PropertyChangeListener, java.io.Serializable

This class provides a single point listener for all PropertyChange events that an AbleObject fires. It then sends the notification events to any other beans which have registered to listen on that property.

See Also:
  Serialized Form

Method Summary
`void` | `addConnection(AblePropertyConnection thePropertyConnection)` Add a property connection to the list.
`java.util.Hashtable` | `getConnectionsByPropertyName()`
`void` | `propertyChange(java.beans.PropertyChangeEvent theEvent)` This is the method that gets called when a bound property changes on the source object.
`void` | `removeConnection(AblePropertyConnection thePropertyConnection)` Remove the property connection from the list
`void` | `vetoAblePropertyChange(java.beans.PropertyChangeEvent theEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addConnection

    public void addConnection(AblePropertyConnection thePropertyConnection)

  Add a property connection to the list.

  Parameters:
    `thePropertyConnection` - the AblePropertyConnection to be added.

### removeConnection

    public void removeConnection(AblePropertyConnection thePropertyConnection)

  Remove the property connection from the list

  Parameters:
    `thePropertyConnection` - the AblePropertyConnection to be removed.

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent theEvent)

  This is the method that gets called when a bound property changes on the source object. We map the property name to a list of targets and then call each of the target "setter" methods.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `theEvent` - The property change event to process.

### vetoAblePropertyChange

    public void vetoAblePropertyChange(java.beans.PropertyChangeEvent theEvent)
                                throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### getConnectionsByPropertyName

    public java.util.Hashtable getConnectionsByPropertyName()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005